List
curl --request GET \
--url https://{defaultHost}/v1/product_collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/product_collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/product_collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/product_collections"
},
"data": [
{
"id": "890ee33b-e356-4a46-9971-6851a27a9d2e",
"object": "product_collection",
"name": "Test Product Collection 1",
"description": null,
"metadata": {},
"position": 0,
"products_count": 0,
"slug": "test-product-collection-1",
"image": null,
"created_at": 1787228427,
"updated_at": 1787228427
}
]
}Product Collections
List
Returns a list of your product collections
GET
/
v1
/
product_collections
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Only return objects that belong to the given products.
The query to be used for full text search of this collection.
The sorting column and order to be used for this collection. Available sorting columns for this endpoint are created_at, name, and updated_at.
Was this page helpful?